API v1
Inscripciones de una feria
Inscripciones enviadas (sin borradores).
GET
/
api
/
v1
/
organizers
/
{organizer_id}
/
events
/
{event_id}
/
entries
Inscripciones de una feria
curl --request GET \
--url https://api.equinos.co/api/v1/organizers/{organizer_id}/events/{event_id}/entries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"status": null
}'import requests
url = "https://api.equinos.co/api/v1/organizers/{organizer_id}/events/{event_id}/entries"
payload = { "status": None }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: null})
};
fetch('https://api.equinos.co/api/v1/organizers/{organizer_id}/events/{event_id}/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.equinos.co/api/v1/organizers/{organizer_id}/events/{event_id}/entries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => json_encode([
'status' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.equinos.co/api/v1/organizers/{organizer_id}/events/{event_id}/entries"
payload := strings.NewReader("{\n \"status\": null\n}")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.equinos.co/api/v1/organizers/{organizer_id}/events/{event_id}/entries")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"status\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.equinos.co/api/v1/organizers/{organizer_id}/events/{event_id}/entries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"status\": null\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "uuid",
"number": 12,
"status": "approved",
"category": {
"id": "uuid",
"name": "Machos de 24 a 36 meses"
},
"horse_name": "Lucero",
"horse_registration_number": "FDN-1234",
"exhibitor_name": "Juan Restrepo",
"stud_name": "El Roble",
"payment_status": "paid",
"submitted_at": "2026-10-01T10:00:00-05:00"
}
],
"meta": {
"current_page": 1,
"last_page": 1,
"per_page": 25,
"total": 1
}
}Autorizaciones
Token de una API key (credenciales de cliente). Dura una hora.
Parámetros de ruta
The ID of the organizer.
The ID of the event.
UUID del organizador.
UUID de la feria.
Parámetros de consulta
submitted, approved, rejected o withdrawn.
Ejemplo:
"approved"
Cuerpo
application/json
Ejemplo:
null
⌘I
Inscripciones de una feria
curl --request GET \
--url https://api.equinos.co/api/v1/organizers/{organizer_id}/events/{event_id}/entries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"status": null
}'import requests
url = "https://api.equinos.co/api/v1/organizers/{organizer_id}/events/{event_id}/entries"
payload = { "status": None }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: null})
};
fetch('https://api.equinos.co/api/v1/organizers/{organizer_id}/events/{event_id}/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.equinos.co/api/v1/organizers/{organizer_id}/events/{event_id}/entries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => json_encode([
'status' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.equinos.co/api/v1/organizers/{organizer_id}/events/{event_id}/entries"
payload := strings.NewReader("{\n \"status\": null\n}")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.equinos.co/api/v1/organizers/{organizer_id}/events/{event_id}/entries")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"status\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.equinos.co/api/v1/organizers/{organizer_id}/events/{event_id}/entries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"status\": null\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "uuid",
"number": 12,
"status": "approved",
"category": {
"id": "uuid",
"name": "Machos de 24 a 36 meses"
},
"horse_name": "Lucero",
"horse_registration_number": "FDN-1234",
"exhibitor_name": "Juan Restrepo",
"stud_name": "El Roble",
"payment_status": "paid",
"submitted_at": "2026-10-01T10:00:00-05:00"
}
],
"meta": {
"current_page": 1,
"last_page": 1,
"per_page": 25,
"total": 1
}
}
